Bug 276032 - Amarok does not show Audio CD
Summary: Amarok does not show Audio CD
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-19 11:46 UTC by David Solbach
Modified: 2011-11-18 16:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Solbach 2011-06-19 11:46:48 UTC
Version:           2.4.1 (using KDE 4.6.4) 
OS:                Linux

Amarok does not list the Audio CD in the Collection viewer if the CD is alrady in the drive when amarok starts.

Clicking on the device manager and choosing "Audio-CD mit Amarok wiedergeben" does not help, as well.

If I eject the CD and insert it again, it will also show its contents.



Reproducible: Always

Steps to Reproduce:
1. Quit Amarok
2. Insert Audio-CD
3. Start Amarok

Actual Results:  
Audio CD not listed in collection view.

Expected Results:  
Audio CD should be listed in collection view.

OS: Linux (x86_64) release 2.6.37.1-1.2-desktop
Compiler: gcc
Comment 1 Myriam Schweingruber 2011-06-19 17:52:10 UTC
Confirmed by Sam Tuke on Amarok 2.4-git
Comment 2 rockonthemoonfm 2011-09-06 11:35:45 UTC
amarok can't nor read, nor show up, audio cds content. 
bangarang, for example, can.

this in kubuntu oneiric 64bit, 
phonon-gstreamer backend, 
package 2.4.3-1ubuntu1
Comment 3 Raúl 2011-10-02 19:15:23 UTC
Hello:

This looks hevaily related to https://bugs.kde.org/show_bug.cgi?id=266412

Regards,
Comment 4 Myriam Schweingruber 2011-10-03 19:45:30 UTC
Related, yes, but not the same bug nonetheless.
Comment 5 Sam Lade 2011-11-18 14:12:31 UTC
Git commit 49ce96b92bb1a78086624d5500cb9b06196613b9 by Sam Lade.
Committed on 18/11/2011 at 15:04.
Pushed by lade into branch 'master'.

Fix audio CD detection on Amarok start

Get a list of optical discs, rather than looking for optical discs in
StorageAccess devices.
This does not fix other audio CD issues such as "play audio CD with Amarok" not
working.

Patch by Luc Menut.

BUG:276032
CCBUG:266412
REVIEW:102580

M  +1    -0    ChangeLog
M  +16   -7    src/MediaDeviceCache.cpp

http://commits.kde.org/amarok/49ce96b92bb1a78086624d5500cb9b06196613b9